form {
  li {
    margin: 0;
    list-style-type: none;
  }
  &.simple_form {
    padding: 0;
  }
}

abbr, abbr[title] {
  border-bottom: 0;
}

select {
  height: 40px;
  margin-bottom: 20px;
  background-color: white;
  border: 1px solid $mgrey;
  padding-left: 20px;
  color: $dark;
  font-size: 16px;
  font-family: $sans;
  -webkit-appearance: none;
  -moz-appearance: none;
  &[multiple] {
    height: auto;
  }
  &.inactive {
    background: $vapor;
    border: 1px solid $lgrey;
    color: $mgrey;
  }
}

label {
  font-size: 10pt;
  text-transform: uppercase;
  line-height: 25px;
}

legend {
  font-size: inherit;
  margin: 0px;
  padding: 0 10px;
  width: 100%;
  display: block;
}

fieldset {
  margin: 0 0 1rem 0;
  border: 0;
  padding: 0;
  div.input {
    background: #E8E8E8;
    margin: 1rem 0 0;
    &.check_boxes {
      background: #fff;
    }
    label {
      padding-left: 1rem;
      text-transform: none;
      font-size: 1rem;
      abbr[title] {
        text-decoration: none;
        color: #FF7F6E;
      }
      &.label.active {
        input[type="text"] {
          background: #E8E8E8;
        }
      }
    }
    input[type="text"], input[type="tel"], input[type="email"], input[type="number"], textarea {
      margin-bottom: 0;
      padding-bottom: 0;
      border: 2px solid $blue;
      padding-left: 1rem;
      box-sizing: border-box;
      &:focus, &:active {
        box-shadow: none !important;
        border: 2px solid $blue;
      }
      &.select-dropdown.dropdown-trigger {
        padding-left: 0;
        min-width: 80px;
      }
      &.invalid, &.valid {
        border-bottom-width: 2px;
      }
    }
    span.error {
      background: #fff;
      color: $warning-color;
      width: 100%;
      display: block;
      padding-left: 5px;
    }
  }
}

input[type="text"], input[type="tel"], input[type="email"], input[type="number"], input[type="password"], textarea {
  margin-bottom: 0;
  padding-bottom: 0;
  border: 2px solid $blue;
  padding-left: 1rem !important;
  box-sizing: border-box;
  box-shadow: none !important;
  &:focus, &:active {
    box-shadow: none !important;
    outline: none;
    border: 2px solid $blue;
  }
  &.select-dropdown.dropdown-trigger {
    padding-left: 0;
    min-width: 80px;
  }
}

label {
  text-transform: none;
  font-size: 1rem;
  abbr[title] {
    text-decoration: none;
    color: #FF7F6E;
  }
  &.label.active {
    input[type="text"] {
      background: #E8E8E8;
    }
  }
}

textarea {
  box-shadow: none;
  border: 0;
  &:hover, &:focus, &:active {
    box-shadow: none;
    border: 0;
    outline: none;
  }
}

.input.check_boxes {
  background-color: #fff;
  label.check_boxes{
    display: none;
  }
  span {
    background-color: #fff;
    margin:0 0 3rem 0;
    display: block;
    &:last-child {
      margin: 0;
    }
  }
  label {
    display: inline-block;
    height: 42px;
    line-height: 42px;
    padding: 0 36px;
    border-radius: 21px;
    background-color: #e4e4e4;
    margin-bottom: 5px;
    margin-right: 5px;
    text-transform: none;
    margin: 0;
    font-size: 1rem;
    position: relative;
    cursor: pointer;
    text-transform: none;
    input[type="checkbox"] {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        -webkit-appearance: none;
        -moz-appearance: none;
        border: 0;
        border-radius: 21px;
        cursor: pointer;
    }
    input[type="checkbox"]:checked {
      background-color: #FF7F6E;
      opacity: .4;
      z-index: 999;
    }
  }
}


[type="radio"]:checked + span::after, [type="radio"].with-gap:checked + span::before, [type="radio"].with-gap:checked + span::after {
  border: 2px solid $primary-color;
}

[type="radio"]:checked + span::after, [type="radio"].with-gap:checked + span::after {
  background-color: $primary-color;
}

[type="radio"]:not(:checked) + span, [type="radio"]:checked + span {
  padding-left: 25px;
  margin-right: 10px;
}

input[type="image"] {
  max-width: 100%;
  width: auto;
}

[type="checkbox"]:not(:checked), [type="checkbox"]:checked {
  position: inherit;
  opacity: 1;
  pointer-events: inherit;
  height: auto;
  padding: 0 1rem 0 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input::-webkit-contacts-auto-fill-button {
  visibility: hidden;
  display: none !important;
  pointer-events: none;
  position: absolute;
  right: 0;
}